### Hierarchy

- NodeInfoRepositoryImpl

### Implements

- NodeInfoRepository

## Index

### Constructors

- constructor

### Methods

- getNodeVersion

## Constructors

### constructor

- new NodeInfoRepositoryImpl(transport: HttpTransport): NodeInfoRepositoryImpl

- - Defined in repository/node/NodeInfoRepositoryImpl.ts:7

  #### Parameters

  - ##### transport: HttpTransport

  #### Returns NodeInfoRepositoryImpl

## Methods

### getNodeVersion

- getNodeVersion(): Promise<string>

- Implementation of NodeInfoRepository.getNodeVersion

  - Defined in repository/node/NodeInfoRepositoryImpl.ts:12

  #### Returns Promise<string>

Generated using TypeDoc